Package ru.bitel.bgbilling.modules.inet.common.bean.enums

# Enum Class InetServStatus

java.lang.Object
java.lang.Enum<InetServStatus>
ru.bitel.bgbilling.modules.inet.common.bean.enums.InetServStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<InetServStatus>`, `Constable`

public enum InetServStatus extends Enum<InetServStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `STATUS_OFF`
  `STATUS_ON`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `static InetServStatus`
  `getInetServStatus(int code)`
  `String`
  `getTitle()`
  `IdTitle`
  `toIdTitle()`
  `static InetServStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InetServStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATUS_ON

    public static final InetServStatus STATUS_ON

  - ### STATUS_OFF

    public static final InetServStatus STATUS_OFF

- ## Method Details

  - ### values

    public static InetServStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InetServStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getTitle

    public String getTitle()

  - ### toIdTitle

    public IdTitle toIdTitle()

  - ### getInetServStatus

    public static InetServStatus getInetServStatus(int code)